Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| communicationMethodOptionId |
The communication method option identifier. |
integer |
Required |
Body Parameters
The communication method option.
Pico.CommunicationMethodOption| Name | Description | Type | Additional information |
|---|---|---|---|
| code |
Gets or sets the code. |
string |
None. |
| description |
Gets or sets the description. |
string |
None. |
| isActive |
Gets or sets a value indicating whether communication method option is active. |
boolean |
None. |
| id |
Gets or sets the communication method option identifier. |
integer |
None. |
| communicationMethodType |
Gets or sets the communication method type identifier. |
integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"code": "sample String 1",
"description": "sample String 2",
"isActive": true,
"id": "4",
"communicationMethodType": "5"
}
text/html
Sample:
{"code":"sample String 1","description":"sample String 2","isActive":true,"id":"4","communicationMethodType":"5"}
application/xml, text/xml
Sample:
<CommunicationMethodOption xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"> <Code>sample String 1</Code> <Description>sample String 2</Description> <IsActive>true</IsActive> <CommunicationMethodOptionId>4</CommunicationMethodOptionId> <CommunicationMethodTypeId>5</CommunicationMethodTypeId> </CommunicationMethodOption>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
The updated communication method option.
Pico.CommunicationMethodOption| Name | Description | Type | Additional information |
|---|---|---|---|
| code |
Gets or sets the code. |
string |
None. |
| description |
Gets or sets the description. |
string |
None. |
| isActive |
Gets or sets a value indicating whether communication method option is active. |
boolean |
None. |
| id |
Gets or sets the communication method option identifier. |
integer |
None. |
| communicationMethodType |
Gets or sets the communication method type identifier. |
integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"code": "sample String 1",
"description": "sample String 2",
"isActive": true,
"id": "4",
"communicationMethodType": "5"
}
text/html
Sample:
{"code":"sample String 1","description":"sample String 2","isActive":true,"id":"4","communicationMethodType":"5"}
application/xml, text/xml
Sample:
<CommunicationMethodOption xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"> <Code>sample String 1</Code> <Description>sample String 2</Description> <IsActive>true</IsActive> <CommunicationMethodOptionId>4</CommunicationMethodOptionId> <CommunicationMethodTypeId>5</CommunicationMethodTypeId> </CommunicationMethodOption>